---
name: Feature Request
about: Suggest a new feature/endpoint or an update to a function
labels: request
---
# Feature Request

---

### Notes:
We will close your feature request, sometimes without answering, if any of the following are met:
* You requested a endpoint/function for `challenge_required`, `checkpoint_required`, `feedback_required` or `sentry_block` errors. These are decidedly unsupported, and will not be added
* You requested a endpoint/function for an iOS feature. This API emulates the Android API, therefore we cannot, *safely*, add endpoints/functions which are not in the Android app.
* You are using the wrong issue template

Please make sure you have done the following before submitting your feature request:
* You have [Searched](https://github.com/mgp25/Instagram-API/search?type=Issues) the bug-tracker for the same feature request
* You have [Read the FAQ](https://github.com/mgp25/Instagram-API/wiki/FAQ)
* You have [Read the wiki](https://github.com/mgp25/Instagram-API/wiki)

---

### Description
Please include a well-worded description of your feature request. Please make sure to include where on the app this feature is acceptable so we can reproduce it. Additionally, it would make our lives easier if you are able to post the endpoint, its associated parameters, and response.

__INSERT DESCRIPTION HERE__